> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List invitations for the current business

> Lists pending and historical invitations for the current business, including recipient, role, status, and expiration.



## OpenAPI

````yaml /openapi.json get /businesses/me/invitations
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /businesses/me/invitations:
    get:
      tags:
        - Businesses
      summary: List invitations for the current business
      description: >-
        Lists pending and historical invitations for the current business,
        including recipient, role, status, and expiration.
      operationId: Businesses_GetCurrentBusinessInvitations
      responses:
        '200':
          description: Returns the list of business invitation table row.
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/BusinessInvitationTableRow'
                  description: >-
                    API DTO containing business invitation data used by Leadping
                    API contracts.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BusinessInvitationTableRow:
      type: object
      properties:
        id:
          type: string
          description: The unique ID for this business invitation.
        business:
          allOf:
            - $ref: '#/components/schemas/IdNamePair'
          description: The ID and name for this business.
        email:
          type: string
          description: The email address associated with this business invitation.
        role:
          allOf:
            - $ref: '#/components/schemas/BusinessUserRole'
          description: The role value for this business invitation.
        status:
          allOf:
            - $ref: '#/components/schemas/BusinessInvitationStatus'
          description: The current status for this business invitation.
        createdAt:
          type: string
          description: >-
            The date and time for the created at value on this business
            invitation.
          format: date-time
        expiresAt:
          type: string
          description: >-
            The date and time for the expires at value on this business
            invitation.
          format: date-time
        sentAt:
          type: string
          description: The date and time for the sent at value on this business invitation.
          format: date-time
          nullable: true
        resentAt:
          type: string
          description: >-
            The date and time for the resent at value on this business
            invitation.
          format: date-time
          nullable: true
        acceptedAt:
          type: string
          description: >-
            The date and time for the accepted at value on this business
            invitation.
          format: date-time
          nullable: true
        revokedAt:
          type: string
          description: >-
            The date and time for the revoked at value on this business
            invitation.
          format: date-time
          nullable: true
        sendFailureReason:
          type: string
          description: >-
            The human-readable send failure reason explaining this business
            invitation.
          nullable: true
        licenseBillingStatus:
          type: string
          description: The billing status for the paid license created by this invitation.
          nullable: true
        licenseQuantity:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            The quantity on the shared business user license subscription item
            after this change.
          format: int64
          nullable: true
        licenseRenewalDate:
          type: string
          description: The renewal date used for proration of this license.
          format: date-time
          nullable: true
        licenseActivatedAt:
          type: string
          description: The date and time this invitation's paid license was created.
          format: date-time
          nullable: true
        licenseReleasedAt:
          type: string
          description: The date and time this invitation's paid license was released.
          format: date-time
          nullable: true
      description: >-
        API DTO containing business invitation data used by Leadping API
        contracts.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    IdNamePair:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: The unique identifier.
        name:
          type: string
          description: The display name.
      description: >-
        A minimal Record type with an (string), (string), and maximum JSON
        compatibility. The reason for this type (over something like
        KeyValuePair, dictionary) is because of JSON serialization support.
    BusinessUserRole:
      enum:
        - Owner
        - Admin
        - Agent
      type: string
      description: Defines the supported Business User Role values.
    BusinessInvitationStatus:
      enum:
        - Pending
        - Accepted
        - Expired
        - Revoked
        - Resent
        - Failed to send
      type: string
      description: Defines the supported Business Invitation Status values.

````